function [shluk,spravnost,prah]=priznak_median(obr_med,pocet_linii,polohy_linie, metoda_distance, metoda_shluk)
%% Varianta vypoctu jedne metody a zobrazeni dendrogramu
matice_priznaku=[];
% Vytvoreni matice priznaku
for linie=1:pocet_linii
        matice_priznaku(linie,:)=obr_med(:,polohy_linie(linie)+1);
end
% Vypocet vzdalenosti z priznaku
vzdalenost=pdist(matice_priznaku,metoda_distance);
% Shlukovani
shluk=linkage(vzdalenost,metoda_shluk);

%Vypocet spravnosti shlukovani
pocet_shluku=size(shluk);
spravnost=mean(shluk((pocet_shluku(1)-2):(pocet_shluku(1)-1),3))/max(shluk(pocet_shluku(1),3));

% Vypocet prahu pro vykresleni
prah=max(shluk(:,3));